# Uses of Enum Class
jspecview.common.PanelData.LinkMode

Packages that use PanelData.LinkMode
Package
Description
jspecview.common

## Uses of PanelData.LinkMode in jspecview.common

Subclasses with type arguments of type PanelData.LinkMode in jspecview.common
Modifier and Type
Class
Description
`static enum`
`PanelData.LinkMode`
Methods in jspecview.common that return PanelData.LinkMode
Modifier and Type
Method
Description
`static PanelData.LinkMode`
PanelData.LinkMode.`getMode(String abc)`
`static PanelData.LinkMode`
PanelData.LinkMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PanelData.LinkMode[]`
PanelData.LinkMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jspecview.common with parameters of type PanelData.LinkMode
Modifier and Type
Method
Description
`void`
PanelData.`linkSpectra(PanelData.LinkMode mode)`